% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/setEnv.R
\name{setEnv}
\alias{setEnv}
\title{Store API key in local environment file}
\usage{
setEnv(api_key, overwrite = TRUE, install_message = TRUE)
}
\arguments{
\item{api_key}{The API key to store}

\item{overwrite}{Whether to overwrite the existing API key if already present in .Renviron (default: TRUE)}

\item{install_message}{Whether to display a message about how to use the API (default: TRUE)}
}
\value{
No return value, called for side effects.
}
\description{
Saves the API key to a local .Renviron file for persistent access across R sessions
}
\examples{
\dontrun{
setEnv("your_api_key")
}

}
\seealso{
\code{\link{setAPI}} which sets the API key for the current session only
}
