% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{validate_params}
\alias{validate_params}
\title{Validate Gemini API parameters}
\usage{
validate_params(
  prompt,
  model,
  temperature = 1,
  topP = 0.95,
  topK = 40,
  seed = 1234,
  api_key = TRUE,
  tokens = NULL
)
}
\arguments{
\item{prompt}{The prompt text to validate}

\item{model}{The model name to validate}

\item{temperature}{The temperature value to validate}

\item{topP}{The topP value to validate}

\item{topK}{The topK value to validate}

\item{seed}{The seed value to validate}

\item{api_key}{Whether to check for API key (TRUE/FALSE)}

\item{tokens}{The tokens object for vertex API (optional, provide NULL if not applicable)}
}
\value{
TRUE if all validations pass, otherwise the function stops execution with an error message
}
\description{
Helper function to validate parameters for Gemini API calls
}
\keyword{internal}
